local _G = getfenv(0)
local ADDON_NAME, addon = ...

addon.WatchedEvents = {
	"RUNE_POWER_UPDATE",
	"PLAYER_REGEN_DISABLED",
	"PLAYER_REGEN_ENABLED",
	"PLAYER_TARGET_CHANGED",
	"PLAYER_TALENT_UPDATE",
	"PLAYER_SPECIALIZATION_CHANGED",
	"COMBAT_LOG_EVENT_UNFILTERED",
	"PLAYER_ENTERING_WORLD",
	"UNIT_LEVEL",
	"SPELL_UPDATE_COOLDOWN",
	"PLAYER_EQUIPMENT_CHANGED",
	"PLAYER_ALIVE",
	"PLAYER_DEAD",
	"COMPANION_UPDATE",
	"PET_BATTLE_OPENING_START",
	"PET_BATTLE_CLOSE",
	"PLAYER_TOTEM_UPDATE",
}

addon.UnitEvents = {
	["player"] = {
		"UNIT_POWER_FREQUENT",
		"UNIT_MAXPOWER",
		"UNIT_AURA",
		"UNIT_PET",
		"UNIT_ENTERED_VEHICLE",
		"UNIT_EXITED_VEHICLE",
		"UNIT_SPELLCAST_SUCCEEDED",
	},
	["target"] = {
		"UNIT_HEALTH",
		"UNIT_MAXHEALTH",
		"UNIT_AURA",
	},
	["pet"] = {
		"UNIT_AURA",
	},
}
