# Compact Runes

Compact Runes is a re-write of DocsDebugRunes. It preserves the compact UI but adds additional features.

## Issues / Feedback

For enhancements or issues, please use the [ticket tracker](http://www.wowace.com/addons/compact-runes/tickets/).

## Configuration

To configure, type **/crunes** or use the game menu: Esc -> Interface -> AddOns (tab in top, left corner) -> Compact Runes.  Next to the Compact Runes title on the right is a small plus sign that expands and provides more settings.

## Features

It tracks the following items:

* Runes (shown horizontally or vertically) with an optional setting to show a numeric timer for each rune. Runes are sorted by the recharge timer but it can be disabled.
* Runic Power
* Diseases and time left.
* Sudden Doom, Shadow Infusion, Dark Transformation, Soul Reaper, Festering Wound, and Epidemic for Unholy.
* Rime/Freezing Fog, Killing Machine, Icy Talons, Razorice, and Remorseless Winter for Frost
* Death and Decay Bar for Blood and Unholy to show the buff for AoE.
* Blood Shield
* Vampiric Blood bar which shows the duration and cooldown.
* LDB/Minimap Icon Support
* RC Procs are indicated with a white border.
* RE procs, RC procs, and wasted Blood Charges tracking in the LDB tooltip.
* Crimson Scourge is shown as a proc.
* Out of melee range is indicated by a red border. This option can be disabled.
* An optional "Almost ready" rune state. The alpha can be adjusted independently for it.
* Cooldown Bars per spec. A configurable row of icons to show the cooldown on abilities and certain trinkets.
* Swing Timer (main hand).

